# Annotation Interface Repeatable

@Documented @Retention(RUNTIME) @Target(ANNOTATION_TYPE) public @interface Repeatable
The annotation interface `java.lang.annotation.Repeatable` is used to indicate that the annotation interface whose declaration it (meta-)annotates is repeatable. The value of `@Repeatable` indicates the containing annotation interface for the repeatable annotation interface.

See Java Language Specification:
  9.6.3 Repeatable Annotation Interfaces
  9.7.5 Multiple Annotations of the Same Interface
Since:
  1.8

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`Class<? extends Annotation>`
`value`
Indicates the containing annotation interface for the repeatable annotation interface.

## Element Details

### value

Class<? extends Annotation> value
Indicates the containing annotation interface for the repeatable annotation interface.

Returns:
  the containing annotation interface